Submitting 2016/2017 payment summary by GovConnect

  • 2
  • Question
  • Updated 1 year ago
  • Answered
When trying to lodge this prior to update to release 2017, i get a screen that says "we have detected you are not using the current version please upgrade. I thought these had to be completed prior to upgrade.

Can some one assist as I need to process the first payroll for 2017 tomorrow
Photo of Peter

Peter

  • 530 Points 500 badge 2x thumb

Posted 1 year ago

  • 2
Photo of Rav

Rav, Community Manager

  • 61,090 Points 50k badge 2x thumb
Hi Peter,

Are you trying to lodge your EMPDUPE file via GovConnect OR prepare the payment summaries for your employees?
Photo of Peter

Peter

  • 530 Points 500 badge 2x thumb
Lodge for GovConnect, I have printed and supplied the employees with their summaries
Photo of Rav

Rav, Community Manager

  • 61,090 Points 50k badge 2x thumb
Thanks for getting back to me Peter,

Ok, in Hosted you will need to upgrade to the new 2017 version in order to lodge your EMPDUPE via GovConnect. This is related to the changes introduced on 1 Jan in regard to WHM and FBT.
Photo of Peter

Peter

  • 530 Points 500 badge 2x thumb
Thank you, so just to confirm. We complete the 2017 R2 upgrade first. then lodge these files?